package com.bonus.core.marketing.v2.rule.price.handler.limitmaxamount.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.math.RoundingMode;

@ApiModel("计价规则详情-单笔上限金额")
public class PriceLimitMaxAmountDTO {
   @ApiModelProperty("单笔上限金额(分)")
   private BigDecimal maxAmount;

   public String toString() {
      BigDecimal var10000 = this.getMaxAmount();
      BigDecimal var10001 = new BigDecimal(100);
      return "单笔上限金额(元)：" + String.valueOf(var10000.divide(var10001, 2, RoundingMode.HALF_UP)) + "<br/>";
   }

   public BigDecimal getMaxAmount() {
      return this.maxAmount;
   }

   public void setMaxAmount(final BigDecimal maxAmount) {
      this.maxAmount = maxAmount;
   }
}
